module Network.Socketson.ProtocolException where


-- data:
import           Data.Typeable
import qualified Data.ByteString as BS
-- exceptions:
import Control.Exception
-- websocket:
import qualified Network.WebSockets as WS

data ProtocolException = CannotParseRecvObject String
                       | CannotGenerateRandomNumber String
                       | TooManyClientsConnected
                       | InvalidSessionKey BS.ByteString
                       | InvalidRequestPath
                       | SessionStoreCorruptAt BS.ByteString String
                       | ConnectionException WS.ConnectionException
                       | UserException String
                       deriving (Show, Typeable)

instance Exception ProtocolException where
